-- The customer table stores all customers.
-- Every remote database will download all customers.
-- 
-- To create a conflict, a customer record on the consolidated
-- will be updated, and the same customer will be updated at the
-- remote.
--
CREATE TABLE customer
(
	cust_1st_pk      	integer NOT NULL DEFAULT autoincrement,
	cust_2nd_pk      	integer NOT NULL,
	first_name     		varchar(30) NOT NULL,
	last_name            	varchar(30) NOT NULL,
	nullable_col           	varchar(30) NULL,
	last_modified  		timestamp NULL DEFAULT timestamp,
	PRIMARY KEY( cust_1st_pk, cust_2nd_pk )
);

